---
updatedAt: 2025-06-12T23:57:54.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Create Virtual Account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/virtual-accounts": {
      "post": {
        "summary": "Create Virtual Account",
        "description": "",
        "operationId": "create-virtual-account",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "masterFiatAccountId",
                  "ibanCountry"
                ],
                "properties": {
                  "masterFiatAccountId": {
                    "type": "string",
                    "description": "Id of a Fiat Account under which the virtual account should be created. A Fiat Account must be owned by the Member for it to be used as a Master Account.<br> The virtual account will be created in the currency of the Master Fiat Account."
                  },
                  "endUserId": {
                    "type": "string",
                    "description": "Id of the End User for who you want to create the Virtual Account.<br>If not set, a Virtual Account will be created for the Member.",
                    "default": "null"
                  },
                  "label": {
                    "type": "string",
                    "description": "An optional label to easily identify the account on the Dashboard."
                  },
                  "ibanCountry": {
                    "type": "string",
                    "description": "Required field for all currencies, except GBP and USD",
                    "enum": [
                      "DE",
                      "DK",
                      "GB",
                      "LU"
                    ]
                  },
                  "metadata": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "Map of Strings format"
                  },
                  "businessId": {
                    "type": "string",
                    "description": "Manual input of the businessId field is no longer required"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"id\":\"vac_5opkx8g1jo50lz4m3e\",\n   \"masterFiatAccountId\":\"fac_p96ed8b1k3n7zvma4o\",\n   \"owner\":{\n      \"type\":\"END_USER\",\n      \"id\":\"eus_j82rl497g47g5ykvzn\"\n   },\n   \"currency\":\"GBP\",\n   \"bankDetails\":null,\n   \"label\":\"Satoshis Virtual Account\",\n   \"status\":\"CREATED\",\n   \"createdAt\":1637593856104,\n   \"updatedAt\":1637593856104,\n   \"metadata\":null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "vac_5opkx8g1jo50lz4m3e"
                    },
                    "masterFiatAccountId": {
                      "type": "string",
                      "example": "fac_p96ed8b1k3n7zvma4o"
                    },
                    "owner": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "example": "END_USER"
                        },
                        "id": {
                          "type": "string",
                          "example": "eus_j82rl497g47g5ykvzn"
                        }
                      }
                    },
                    "currency": {
                      "type": "string",
                      "example": "GBP"
                    },
                    "bankDetails": {},
                    "label": {
                      "type": "string",
                      "example": "Satoshis Virtual Account"
                    },
                    "status": {
                      "type": "string",
                      "example": "CREATED"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1637593856104,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1637593856104,
                      "default": 0
                    },
                    "metadata": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"INVALID_REQUEST_DATA\",\n    \"message\": \"Invalid CreateVirtualAccountRequest.\",\n    \"warnings\": [\n        {\n            \"position\": \"masterFiatAccountId\",\n            \"issue\": \"Field is required\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "INVALID_REQUEST_DATA"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid CreateVirtualAccountRequest."
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "position": {
                            "type": "string",
                            "example": "masterFiatAccountId"
                          },
                          "issue": {
                            "type": "string",
                            "example": "Field is required"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"RESOURCE_MISSING\",\n    \"message\": \"Master Fiat account with id fac_xxxxyyyyzzzz not found.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "RESOURCE_MISSING"
                    },
                    "message": {
                      "type": "string",
                      "example": "Master Fiat account with id fac_xxxxyyyyzzzz not found."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://sandbox.fiatrepublic.com/api/v1/virtual-accounts \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n{\n    \"masterFiatAccountId\": \"fac_p96ed8b1k3n7zvma4o\",\n    \"endUserId\": \"eus_j82rl497g47g5ykvzn\",\n    \"ibanCountry: \"DK\",\n    \"label\": \"Satoshis Virtual Account\",\n    \"metadata\": null\n}"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```